Column Password is not updatable

zorgcomm

New member
Joined
Jun 28, 2020
Messages
4
I've got 3 identical server, that throw the same error when trying to restore a user backup or edit a MySQL password.
No idea where to look, anyone familiar with this error, or can point me to a direction to look?

Column 'Password' is not updatable

CentOs 8
Latest version of DirectAdmin: 1.61.3
Installed version of DirectAdmin: 1.61.3

Latest version of LetsEncrypt: 2.0.7
Installed version of LetsEncrypt: 2.0.7

Latest version of CustomBuild plugin: 1.0.34
Installed version of CustomBuild plugin: 1.0.34

Latest version of Apache: 2.4.43
Installed version of Apache: 2.4.43

Latest version of Pure-FTPD: 1.0.49
Installed version of Pure-FTPd: 1.0.49

Latest version of libpng: 1.6.37
Installed version of libpng: 1.6.37

Latest version of libwebp: 1.1.0
Installed version of libwebp: 1.1.0

Latest version of nghttp2: 1.41.0
Installed version of nghttp2: 1.41.0

Latest version of libjpeg: 9d
Installed version of libjpeg: 9d

Latest version of ICU4C: 66.1
Installed version of ICU4C: 66.1

Latest version of libsodium: 1.0.18
Installed version of libsodium: 1.0.18

Latest version of libxml2: 2.9.9
Installed version of libxml2: 2.9.9

Latest version of libxslt: 1.1.33
Installed version of libxslt: 1.1.33

Latest version of iconv: 1.16
Installed version of iconv: 1.16

Latest version of PCRE: 8.20
Installed version of PCRE: 8.20

Latest version of PCRE2: 10.35
Installed version of PCRE2: 10.35

Latest version of FreeType: 2.10.1
Installed version of FreeType: 2.10.1

Latest version of dovecot: 2.3.10.1
Installed version of dovecot: 2.3.10.1

Latest version of dovecot.conf: 0.4
Installed version of dovecot.conf: 0.4

Latest version of lego: 3.8.0
Installed version of lego: 3.8.0

Latest version of s-nail: 14.9.19
Installed version of s-nail: 14.9.19

Latest version of SpamAssassin: 3.4.4
Installed version of SpamAssassin: 3.4.4

Latest version of zstd: 1.4.5
Installed version of zstd: 1.4.5

Latest version of MariaDB: 10.4.13
Installed version of MariaDB: 10.4.13

Latest version of PHP 5.6: 5.6.40
Installed version of PHP 5.6: 5.6.40

Latest version of PHP 7.4: 7.4.8
Installed version of PHP 7.4: 7.4.8

Latest version of RoundCube: 1.4.7
Installed version of RoundCube: 1.4.7

Latest version of phpMyAdmin: 5.0.2-all-languages
Installed version of phpMyAdmin: 5.0.2-all-languages

DirectAdmin Error Log
2020:07:30-22:38:44: Database::alter_user (raw=0, mysql_use_new_user_methods=0): error altering 'testtest_test': Column 'Password' is not updatable
2020:07:30-22:38:44:query: UPDATE mysql.user SET password=PASSWORD('xxxxxxxx') WHERE user='testtest_test' AND host='localhost'
 

zorgcomm

New member
Joined
Jun 28, 2020
Messages
4
Is this something DirectAdmin must fix then? As it is the control panel using the update query instead of alter query.

Never had any issues before on our other 10+ servers, just started on newly installed last week.
 
Top